VulkanContext Struct Reference
Collaboration diagram for VulkanContext:
[legend]

## Data Fields

VkInstance | instance
VkDevice | device
VkSurfaceKHR | surface
VkSwapchainKHR | swapchain
VkPhysicalDeviceProperties | physicalDeviceProperties
VkPhysicalDeviceFeatures | physicalDeviceFeatures
uint32_t | graphicsQueueFamilyIndex
uint32_t | presentQueueFamilyIndex
VkPhysicalDevice | physicalDevice
VkQueue | graphicsQueue
VkQueue | presentQueue
VkSemaphore | imageAvailableSemaphore
VkSemaphore | renderingFinishedSemaphore
VkSurfaceCapabilitiesKHR | surfaceCapabilities
VkSurfaceFormatKHR * | surfaceFormats
uint32_t | surfaceFormatsAllocatedCount
uint32_t | surfaceFormatsCount
uint32_t | swapchainDesiredImageCount
VkSurfaceFormatKHR | surfaceFormat
VkExtent2D | swapchainSize
VkCommandPool | commandPool
uint32_t | swapchainImageCount
VkImage * | swapchainImages
VkCommandBuffer * | commandBuffers
VkFence * | fences

## Detailed Description

Definition at line 176 of file testvulkan.c.

## Field Documentation

## commandBuffers

VkCommandBuffer* VulkanContext::commandBuffers

Definition at line 201 of file testvulkan.c.

Referenced by createCommandBuffers(), destroyCommandBuffers(), render(), and rerecordCommandBuffer().

## commandPool

VkCommandPool VulkanContext::commandPool

Definition at line 198 of file testvulkan.c.

Referenced by createCommandBuffers(), createCommandPool(), destroyCommandBuffers(), and destroyCommandPool().

## device

VkDevice VulkanContext::device

Definition at line 179 of file testvulkan.c.

Referenced by createCommandBuffers(), createCommandPool(), createDevice(), createFences(), createSemaphore(), createSwapchain(), destroyCommandBuffers(), destroyCommandPool(), destroyFences(), destroySwapchain(), getQueues(), getSwapchainImages(), render(), and shutdownVulkan().

## fences

VkFence* VulkanContext::fences

Definition at line 202 of file testvulkan.c.

Referenced by createFences(), destroyFences(), and render().

## graphicsQueue

VkQueue VulkanContext::graphicsQueue

Definition at line 187 of file testvulkan.c.

Referenced by getQueues(), and render().

## graphicsQueueFamilyIndex

uint32_t VulkanContext::graphicsQueueFamilyIndex

Definition at line 184 of file testvulkan.c.

Referenced by createCommandPool(), createDevice(), findPhysicalDevice(), and getQueues().

## imageAvailableSemaphore

VkSemaphore VulkanContext::imageAvailableSemaphore

Definition at line 189 of file testvulkan.c.

Referenced by createSemaphores(), render(), and shutdownVulkan().

## instance

VkInstance VulkanContext::instance

Definition at line 178 of file testvulkan.c.

Referenced by createInstance(), createSurface(), findPhysicalDevice(), and shutdownVulkan().

## physicalDevice

VkPhysicalDevice VulkanContext::physicalDevice

Definition at line 186 of file testvulkan.c.

Referenced by createDevice(), findPhysicalDevice(), getSurfaceCaps(), and getSurfaceFormats().

## physicalDeviceFeatures

VkPhysicalDeviceFeatures VulkanContext::physicalDeviceFeatures

Definition at line 183 of file testvulkan.c.

Referenced by findPhysicalDevice().

## physicalDeviceProperties

VkPhysicalDeviceProperties VulkanContext::physicalDeviceProperties

Definition at line 182 of file testvulkan.c.

Referenced by findPhysicalDevice().

## presentQueue

VkQueue VulkanContext::presentQueue

Definition at line 188 of file testvulkan.c.

Referenced by getQueues(), and render().

## presentQueueFamilyIndex

uint32_t VulkanContext::presentQueueFamilyIndex

Definition at line 185 of file testvulkan.c.

Referenced by findPhysicalDevice(), and getQueues().

## renderingFinishedSemaphore

VkSemaphore VulkanContext::renderingFinishedSemaphore

Definition at line 190 of file testvulkan.c.

Referenced by createSemaphores(), render(), and shutdownVulkan().

## surface

VkSurfaceKHR VulkanContext::surface

Definition at line 180 of file testvulkan.c.

Referenced by createSurface(), createSwapchain(), findPhysicalDevice(), getSurfaceCaps(), getSurfaceFormats(), and shutdownVulkan().

## surfaceCapabilities

VkSurfaceCapabilitiesKHR VulkanContext::surfaceCapabilities

Definition at line 191 of file testvulkan.c.

Referenced by createSwapchain(), and getSurfaceCaps().

## surfaceFormat

VkSurfaceFormatKHR VulkanContext::surfaceFormat

Definition at line 196 of file testvulkan.c.

Referenced by createSwapchain().

## surfaceFormats

VkSurfaceFormatKHR* VulkanContext::surfaceFormats

Definition at line 192 of file testvulkan.c.

Referenced by createSwapchain(), getSurfaceFormats(), and shutdownVulkan().

## surfaceFormatsAllocatedCount

uint32_t VulkanContext::surfaceFormatsAllocatedCount

Definition at line 193 of file testvulkan.c.

Referenced by getSurfaceFormats().

## surfaceFormatsCount

uint32_t VulkanContext::surfaceFormatsCount

Definition at line 194 of file testvulkan.c.

Referenced by createSwapchain(), and getSurfaceFormats().

## swapchain

VkSwapchainKHR VulkanContext::swapchain

Definition at line 181 of file testvulkan.c.

Referenced by createSwapchain(), destroySwapchain(), getSwapchainImages(), and render().

## swapchainDesiredImageCount

uint32_t VulkanContext::swapchainDesiredImageCount

Definition at line 195 of file testvulkan.c.

Referenced by createSwapchain().

## swapchainImageCount

uint32_t VulkanContext::swapchainImageCount

Definition at line 199 of file testvulkan.c.

Referenced by createCommandBuffers(), createFences(), destroyCommandBuffers(), destroyFences(), and getSwapchainImages().

## swapchainImages

VkImage* VulkanContext::swapchainImages

Definition at line 200 of file testvulkan.c.

Referenced by destroySwapchain(), getSwapchainImages(), and rerecordCommandBuffer().

## swapchainSize

VkExtent2D VulkanContext::swapchainSize

Definition at line 197 of file testvulkan.c.

Referenced by createSwapchain(), and render().

The documentation for this struct was generated from the following file:

- test/testvulkan.c